/*
 * Copyright 2010 ISP RAS (http://www.ispras.ru), UniTESK Lab (http://www.unitesk.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __NETFSM_COMMAND_H
#define __NETFSM_COMMAND_H

#define DEFAULT_AGENT_PORT 2009

#define AGENT_MSG_SIZE  128

/******************************************************************************/
/**                          MCC commands to Agent                           **/
/******************************************************************************/
#define MCC_CMD_START      "START"
#define MCC_CMD_STOP       "STOP"
#define MCC_CMD_STATUS     "STATUS"
#define MCC_CMD_CFG        "CONFIG"
#define MCC_CMD_CFG_INFO   "cpu_id:%d,port:%hu,in:%d,id:%s"
#define MCC_CMD_CFG_START  "CONFIG_START"
#define MCC_CMD_CFG_OUT    "port:%hu,address:%s"
#define MCC_CMD_CFG_LOG    "save:%d,load:%d,filename:%s"
#define MCC_CMD_CFG_END    "CONFIG_END"
#define MCC_CMD_INFO       "INFO"

/******************************************************************************/
/**                           Answers from Agent                             **/
/******************************************************************************/
#define AGENT_ANSWER_OK      "OK:"
#define AGENT_ANSWER_FAIL    "Fail:"
#define AGENT_ANSWER_UNKNOWN "Unknown command"

/******************************************************************************/
/**                        Errors from Agent if Fail                         **/
/******************************************************************************/
#define AGENT_ERROR_NOCFG        "Configuration is not set"
#define AGENT_ERROR_CFG          "Configuration is already set"
#define AGENT_ERROR_STARTED      "Already started"
#define AGENT_ERROR_NOTSTARTED   "Not started yet"
#define AGENT_ERROR_SYNC_INCONF  "Can not configure in connection for Synchronizer"
#define AGENT_ERROR_SYNC_OUTCONF "Can not configure out connections for Synchronizer"
#define AGENT_ERROR_SYNC_START   "Can not start Synchronizer"
#define AGENT_ERROR_SYNC_STOP    "Can not stop Synchronizer"
#define AGENT_ERROR_TE_START     "Can not start TestEngine"
#define AGENT_ERROR_TE_STOP      "Can not stop TestEngine"

#endif /* __NETFSM_COMMAND_H */

